@use "colors";
@use "fonts";

.home-item {
    background-repeat: no-repeat;
    background-blend-mode: color;
    background-size: cover;
    height: 100%;

    .home-item-content {
        padding: 30px;

        &.row-of-1 {
            h1 {
                font-size: 7.5rem;
            }

            h2 span {
                font-size: 3.75rem;
            }
        }

        &.row-of-2 {
            h1 {
                font-size: 4.375rem;
            }

            h2 {
                font-size: 2.1875rem;
            }
        }

        h1,
        h2 {
            color: colors.$content-white;
            font-family: fonts.$title-font;
            text-shadow: 1px 1px #000;
            margin-bottom: 0.5rem;
        }

        h2 span {
            background: colors.$content-black;
            opacity: 0.8;
            padding: 10px;
        }



        p {
            color: colors.$content-white;
            font-size: 1.25rem;
            font-family: fonts.$content-font;
            font-weight: 800;
            text-transform: uppercase;
            background: rgba(0, 0, 0, 0.7);
            display: inline;
            padding: 7px;
            box-shadow: 10px 0 0 colors.$content-black, -10px 0 0 colors.$content-black;
            /* to make text wrap nicely */
        }

        .button {
            margin-top: 1rem;
        }
    }
}